using System;

internal sealed class Delegate418 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate418 delegate418_1)
	{
		return delegate418_1(object_0);
	}

	public extern Delegate418(object object_0, IntPtr intptr_0);

	static Delegate418()
	{
		Class10.smethod_13(typeof(Delegate418).TypeHandle);
	}

	internal static Delegate418 delegate418_0;
}
